esl-seqstat(1)

NAME

esl-seqstat - summarize contents of a sequence file

SYNOPSIS
esl-seqstat [options] seqfile

DESCRIPTION
esl-seqstat summarizes the contents of the seqfile. It prints the format, alphabet type, number of sequences, total number of residues, and the mean, smallest, and largest sequence length. If seqfile is - (a single dash), sequence input is read from stdin. The sequence file may be in any of several different common unaligned sequence formats including FASTA, GenBank, EMBL, UniProt, or DDBJ. It may also be an alignment file, in Stockholm format for example. By default the file format is autodetected. The --informat <s> option allows you to specify the format and override autodetection. This option may be useful for making esl-seqstat more robust, because format autodetection may fail on unusual files. The sequences can be of protein or DNA/RNA sequences. All sequences in the same seqfile must be either protein or DNA/RNA. The alphabet will be autodetected unless one of the options --amino, --dna, or --rna are given. These options may be useful in automated pipelines to make esl-alistat more robust; alphabet autodetection is not infallible.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-a  Additionally show a summary statistic line showing the name, length, and description of each individual sequence. Each of these lines is prefixed by an = character, in order to allow these lines to be easily grepped out of the output.

-c  Additionally print the residue composition of the sequence file.

EXPERT OPTIONS

--informat <s>
    Specify that the sequence file is in format <s>, where <s> may be FASTA, GenBank, EMBL, UniProt, DDBJ, or Stockholm. This string is case-insensitive ("genbank" or "GenBank" both work, for example).

--amino
    Assert that the seqfile contains protein sequences.

--dna
    Assert that the seqfile contains DNA sequences.

--rna
    Assert that the seqfile contains RNA sequences.

AUTHOR
Easel and its documentation are @EASEL_COPYRIGHT@. @EASEL_LICENSE@. See COPYING in the source code distribution for more details. The Easel home page is: @EASEL_URL@